Kerbal Space Program - Bug #730

Excessive loading times on some systems
05/29/2013 07:18 PM - hoojiwana

Status: Closed Start date: 05/29/2013
Severity: Normal % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 0.20.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

First time loading 0.20 and 0.20.1 takes an extremely long time. On my system, 0.20.1 takes ~210 seconds to load, with ~120
seconds spent on loading sounds and flags. Compared to 0.19 where it loads in ~45 seconds. Both tests done on fresh Store
download installs with zero mods, and only one previous load done to generate folders.

Seems to be very specific in terms of what systems exactly get affected, and I've not seen many people mention it.

History

#1 - 05/29/2013 07:21 PM - Ted
- Category changed from Bug Tracker to Parts

Could you provide a dxdiag or some other repository of information?
Also, you might be able to get some help with this over on the Support forum.

#2 - 05/29/2013 07:29 PM - hoojiwana

output_log for 0.20.1: http://pastebin.com/PJg9tdGX

output_log for 0.19.1: http:/pastebin.com/mcAatxEG
DxDiag: http://pastebin.com/iZMTUgru

| didn't put it on the forum because it occurs with a perfectly stock brand new install of 0.20+0.20.1 only, it seemed to me to be more of a bug than
anything.

#3 - 05/29/2013 08:12 PM - Ted

| would recommend that you give it a try on the Forums nevertheless, there may be a workaround.
Anyway, thanks for the logs, this way we can see if there is any correlation between the systems experiencing these issues.

#4 - 05/30/2013 12:39 AM - SkyRender
| can confirm that this is definitely not an isolated incident; my own computer is also having this issue with 0.20 (sound files take a very long time to
load) and 0.20.1 (sound files and all .png and .jpg images take a very long time to load).

Most relevant system specs:

AMD Phenom Il X4 965 Processor
16GB Corsair Vengeance DDR3 RAM
Windows 7 Home Premium 64-Bit

EDIT: | notice that both my processor and the original submitter's processor are from the exact same line. That may be the most relevant link at this
point.

#5 - 05/31/2013 03:12 PM - SkyRender
The issue seems to be not specific to a processor.

Here's the DxDiag from my own system: http:/www.skyrender.net/DxDiag.txt
And the DxDiag from a third user having this issue: http://pastebin.com/zR269DS;i

#6 - 06/01/2013 10:27 AM - SkyRender

After some additional testing, we have deduced that the likely cause is a switch to file:// loading methods. Details can be found here:
http:/forum.kerbalspaceprogram.com/showthread.php/29176
#7 - 06/03/2013 06:30 PM - Ted
- Status changed from New to Investigating

- % Done changed from 0 to 20

#8 - 06/06/2013 02:28 PM - hoojiwana

A potential fix for this has just been mentioned in the forum thread for this. It works for myself and a few others.

http://forum.kerbalspaceprogram.com/showthread.php/32897 ?p=431791&viewfull=1#post431791

#9 - 09/11/2014 05:47 AM - K3Chris

The game takes very long to load and it doesn't get any faster when loading from an SSD instead of a HDD, tells me it's not storage limited, it's doing
something during load that slows it down beyond what loading all game assets from drive into RAM would require.

#10 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#11 - 07/17/2016 09:30 AM - TriggerAu
- Status changed from Investigating to Needs Clarification

- % Done changed from 20 to 0

#12 - 08/07/2016 11:33 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
